This document includes math equations (highlighted in red) which are best viewed with Firefox version 4.0 or higher, or another MathML-aware browser. There is also a PDF version of this document.
libdevice User's Guide (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.166. __nv_frsqrt_rn

Prototype:

    float @__nv_frsqrt_rn(float %x)

Description:

Compute the reciprocal square root of `x` in round-to-nearest-even mode.

Returns:

Returns 1 / x .

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes